summaryrefslogtreecommitdiffstats
path: root/ffmpeg-rencode-to-ogv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ffmpeg-rencode-to-ogv.sh')
-rwxr-xr-xffmpeg-rencode-to-ogv.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/ffmpeg-rencode-to-ogv.sh b/ffmpeg-rencode-to-ogv.sh
new file mode 100755
index 0000000..6014fad
--- /dev/null
+++ b/ffmpeg-rencode-to-ogv.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright © 2024 DiffieHellman
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Return invalid usage if there aren't at least 2 args
+[ "$#" -gt 0 ] || exit 2
+
+# $video is each video after argv[0]
+for video ; do
+ # Settings result in high quality video without the filesize ending up excessively large
+ ffmpeg -i "${video}" -codec:v libtheora -qscale:v 9 -codec:a libopus -b:a 48K "${video%.*}.ogv"
+ done